Bug 32721 - kernel BUG at bootmem.c:220 [was Installer failes on WP bit check]
kernel BUG at bootmem.c:220 [was Installer failes on WP bit check]
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben LaHaise
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 12:07 EST by Angus Marshall
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-26 10:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Angus Marshall 2001-03-22 12:07:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)


Installer hangs at 'Checking if this processor honours WP bit even in 
supervisor mode'

System is based on i486sx.....

Reproducible: Always
Steps to Reproduce:
1.Create boot floppy from boot.img on CD1
2.Insert in floppy drive
3.boot installer floppy
4. HANG!
	

Actual Results:  System hangs.

Expected Results:  Installer should have started

Really annoying 'cos this bug was fixed in the 2.4 pre-release kernels.
Comment 1 Bill Nottingham 2001-03-22 12:17:09 EST
Fixed in the current rawhide kernel.
Comment 2 Angus Marshall 2001-03-23 09:25:49 EST
Thankyou!
Comment 3 Angus Marshall 2001-03-23 12:03:39 EST
Oops! New kernel tried - it now gives a kernel panic with a kernel BUG error.
Comment 4 Arjan van de Ven 2001-03-23 12:06:44 EST
if it is a BUG error, the most important information for us is the
filename and linenumber that are printed directly there. Is it possible
to write those down and post them here? Thanks!
Comment 5 Angus Marshall 2001-03-26 08:48:43 EST
OK - using the rawhide installer the installation kernel now gives

kernel BUG at bootmem.c:220
Invalid operand:0000
CPU:0

Still on i486sx system
Comment 6 Arjan van de Ven 2001-03-26 09:03:51 EST
Ok this is very interesting. Ben?
Comment 7 Ben LaHaise 2001-03-26 10:22:34 EST
How much RAM does this system have?
Comment 8 Angus Marshall 2001-03-26 10:26:51 EST
Currently 8Mb RAM & 1Gb disk.
Installer is running in text mode.
RH6.2 installed cleanly previously.
Comment 9 Arjan van de Ven 2001-04-07 19:16:10 EDT
Fixed in rawhide!  Thanks.

Note You need to log in before you can comment on or make changes to this bug.